<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */

$run_gran_blog_style = explode('_', run_gran_get_theme_option('blog_style'));
$run_gran_columns = empty($run_gran_blog_style[1]) ? 1 : max(1, $run_gran_blog_style[1]);
$run_gran_expanded = !run_gran_sidebar_present() && run_gran_is_on(run_gran_get_theme_option('expand_content'));
$run_gran_post_format = get_post_format();
$run_gran_post_format = empty($run_gran_post_format) ? 'standard' : str_replace('post-format-', '', $run_gran_post_format);
$run_gran_animation = run_gran_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_chess post_layout_chess_'.esc_attr($run_gran_columns).' post_format_'.esc_attr($run_gran_post_format) ); ?>
	<?php echo (!run_gran_is_off($run_gran_animation) ? ' data-animation="'.esc_attr(run_gran_get_animation_classes($run_gran_animation)).'"' : ''); ?>>

	<?php
	// Add anchor
	if ($run_gran_columns == 1 && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="post_'.esc_attr(get_the_ID()).'" title="'.esc_attr(get_the_title()).'"]');
	}

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	run_gran_show_post_featured( array(
											'class' => $run_gran_columns == 1 ? 'run_gran-full-height' : '',
											'show_no_image' => true,
											'thumb_bg' => true,
											'thumb_size' => run_gran_get_thumb_size(
																	strpos(run_gran_get_theme_option('body_style'), 'full')!==false
																		? ( $run_gran_columns > 1 ? 'huge' : 'original' )
																		: (	$run_gran_columns > 2 ? 'big' : 'huge')
																	)
											) 
										);

	?><div class="post_inner"><div class="post_inner_content"><?php 

		?><div class="post_header entry-header"><?php 
			do_action('run_gran_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
			
			do_action('run_gran_action_before_post_meta'); 

			// Post meta
			$run_gran_components = run_gran_is_inherit(run_gran_get_theme_option_from_meta('meta_parts')) 
										? 'categories,date'.($run_gran_columns < 3 ? ',counters' : '').($run_gran_columns == 1 ? ',edit' : '')
										: run_gran_array_get_keys_by_value(run_gran_get_theme_option('meta_parts'));
			$run_gran_counters = run_gran_is_inherit(run_gran_get_theme_option_from_meta('counters')) 
										? 'comments'
										: run_gran_array_get_keys_by_value(run_gran_get_theme_option('counters'));
			$run_gran_post_meta = empty($run_gran_components) 
										? '' 
										: run_gran_show_post_meta(apply_filters('run_gran_filter_post_meta_args', array(
												'components' => $run_gran_components,
												'counters' => $run_gran_counters,
												'seo' => false,
												'echo' => false
												), $run_gran_blog_style[0], $run_gran_columns)
											);
			run_gran_show_layout($run_gran_post_meta);
		?></div><!-- .entry-header -->
	
		<div class="post_content entry-content">
			<div class="post_content_inner">
				<?php
				$run_gran_show_learn_more = !in_array($run_gran_post_format, array('link', 'aside', 'status', 'quote'));
				if (has_excerpt()) {
					the_excerpt();
				} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
					the_content( '' );
				} else if (in_array($run_gran_post_format, array('link', 'aside', 'status'))) {
					the_content();
				} else if ($run_gran_post_format == 'quote') {
					if (($quote = run_gran_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
						run_gran_show_layout(wpautop($quote));
					else
						the_excerpt();
				} else if (substr(get_the_content(), 0, 1)!='[') {
					the_excerpt();
				}
				?>
			</div>
			<?php
			// Post meta
			if (in_array($run_gran_post_format, array('link', 'aside', 'status', 'quote'))) {
				run_gran_show_layout($run_gran_post_meta);
			}
			// More button
			if ( $run_gran_show_learn_more ) {
				?><p><a class="more-link sc_button sc_button_size_small" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'run-gran'); ?></a></p><?php
			}
			?>
		</div><!-- .entry-content -->

	</div></div><!-- .post_inner -->

</article>