<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */

$run_gran_blog_style = explode('_', run_gran_get_theme_option('blog_style'));
$run_gran_columns = empty($run_gran_blog_style[1]) ? 2 : max(2, $run_gran_blog_style[1]);
$run_gran_expanded = !run_gran_sidebar_present() && run_gran_is_on(run_gran_get_theme_option('expand_content'));
$run_gran_post_format = get_post_format();
$run_gran_post_format = empty($run_gran_post_format) ? 'standard' : str_replace('post-format-', '', $run_gran_post_format);
$run_gran_animation = run_gran_get_theme_option('blog_animation');
$run_gran_components = run_gran_is_inherit(run_gran_get_theme_option_from_meta('meta_parts')) 
							? 'categories,date,counters'.($run_gran_columns < 3 ? ',edit' : '')
							: run_gran_array_get_keys_by_value(run_gran_get_theme_option('meta_parts'));
$run_gran_counters = run_gran_is_inherit(run_gran_get_theme_option_from_meta('counters')) 
							? 'comments'
							: run_gran_array_get_keys_by_value(run_gran_get_theme_option('counters'));

?><div class="<?php echo esc_html($run_gran_blog_style[0] == 'classic') ? 'column' : 'masonry_item masonry_item'; ?>-1_<?php echo esc_attr($run_gran_columns); ?>"><article id="post-<?php the_ID(); ?>"
	<?php post_class( 'post_item post_format_'.esc_attr($run_gran_post_format)
					. ' post_layout_classic post_layout_classic_'.esc_attr($run_gran_columns)
					. ' post_layout_'.esc_attr($run_gran_blog_style[0]) 
					. ' post_layout_'.esc_attr($run_gran_blog_style[0]).'_'.esc_attr($run_gran_columns)
					); ?>
	<?php echo (!run_gran_is_off($run_gran_animation) ? ' data-animation="'.esc_attr(run_gran_get_animation_classes($run_gran_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	run_gran_show_post_featured( array( 'thumb_size' => run_gran_get_thumb_size($run_gran_blog_style[0] == 'classic'
													? (strpos(run_gran_get_theme_option('body_style'), 'full')!==false 
															? ( $run_gran_columns > 2 ? 'big' : 'huge' )
															: (	$run_gran_columns > 2
																? ($run_gran_expanded ? 'med' : 'small')
																: ($run_gran_expanded ? 'big' : 'med')
																)
														)
													: (strpos(run_gran_get_theme_option('body_style'), 'full')!==false 
															? ( $run_gran_columns > 2 ? 'masonry-big' : 'full' )
															: (	$run_gran_columns <= 2 && $run_gran_expanded ? 'masonry-big' : 'masonry')
														)
								) ) );

	if ( !in_array($run_gran_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			do_action('run_gran_action_before_post_title');

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('run_gran_action_before_post_meta');

			// Post meta
			if (!empty($run_gran_components))
				run_gran_show_post_meta(apply_filters('run_gran_filter_post_meta_args', array(
					'components' => $run_gran_components,
					'counters' => $run_gran_counters,
					'seo' => false
					), $run_gran_blog_style[0], $run_gran_columns)
				);

			do_action('run_gran_action_after_post_meta');
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$run_gran_show_learn_more = false; //!in_array($run_gran_post_format, array('link', 'aside', 'status', 'quote'));
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($run_gran_post_format, array('link', 'aside', 'status'))) {
				the_content();
			} else if ($run_gran_post_format == 'quote') {
				if (($quote = run_gran_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
					run_gran_show_layout(wpautop($quote));
				else
					the_excerpt();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($run_gran_post_format, array('link', 'aside', 'status', 'quote'))) {
			if (!empty($run_gran_components))
				run_gran_show_post_meta(apply_filters('run_gran_filter_post_meta_args', array(
					'components' => $run_gran_components,
					'counters' => $run_gran_counters
					), $run_gran_blog_style[0], $run_gran_columns)
				);
		}
		// More button
		if ( $run_gran_show_learn_more ) {
			?><p><a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'run-gran'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>