<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */

$run_gran_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$run_gran_post_format = get_post_format();
$run_gran_post_format = empty($run_gran_post_format) ? 'standard' : str_replace('post-format-', '', $run_gran_post_format);
$run_gran_animation = run_gran_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($run_gran_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($run_gran_post_format) ); ?>
	<?php echo (!run_gran_is_off($run_gran_animation) ? ' data-animation="'.esc_attr(run_gran_get_animation_classes($run_gran_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	run_gran_show_post_featured(array(
		'thumb_size' => run_gran_get_thumb_size($run_gran_columns==1 ? 'big' : ($run_gran_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($run_gran_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			run_gran_show_post_meta(apply_filters('run_gran_filter_post_meta_args', array(), 'sticky', $run_gran_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>