<?php
/**
 * The template to display the Author bio
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope itemtype="http://schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php 
		$run_gran_mult = run_gran_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 120*$run_gran_mult ); 
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
		<p class="author_title_about">
			<?php esc_html_e('About Author', 'run-gran'); ?>
		</p>
		<h5 class="author_title" itemprop="name"><?php
			// Translators: Add the author's name in the <span> 
			echo wp_kses_data(sprintf(__('%s', 'run-gran'), '<span class="fn">'.get_the_author().'</span>'));
		?></h5>

		<div class="author_bio" itemprop="description">
			<?php echo wp_kses_post(wpautop(get_the_author_meta( 'description' ))); ?>
			<?php do_action('run_gran_action_user_meta'); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
