<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0.10
 */

// Copyright area
$run_gran_footer_scheme =  run_gran_is_inherit(run_gran_get_theme_option('footer_scheme')) ? run_gran_get_theme_option('color_scheme') : run_gran_get_theme_option('footer_scheme');
$run_gran_copyright_scheme = run_gran_is_inherit(run_gran_get_theme_option('copyright_scheme')) ? $run_gran_footer_scheme : run_gran_get_theme_option('copyright_scheme');
?> 
<div class="footer_copyright_wrap scheme_<?php echo esc_attr($run_gran_copyright_scheme); ?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$run_gran_copyright = run_gran_prepare_macros(run_gran_get_theme_option('copyright'));
				if (!empty($run_gran_copyright)) {
					// Replace {date_format} on the current date in the specified format
					if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $run_gran_copyright, $run_gran_matches)) {
						$run_gran_copyright = str_replace($run_gran_matches[1], date_i18n(str_replace(array('{', '}'), '', $run_gran_matches[1])), $run_gran_copyright);
					}
					// Display copyright
					echo wp_kses_data(nl2br($run_gran_copyright));
				}
			?></div>
		</div>
	</div>
</div>
