<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */

// Page (category, tag, archive, author) title

if ( run_gran_need_page_title() ) {
	run_gran_sc_layouts_showed('title', true);
	run_gran_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_single() )  {
							?><div class="sc_layouts_title_meta"><?php
								run_gran_show_post_meta(apply_filters('run_gran_filter_post_meta_args', array(
									'components' => 'categories,date,counters,edit',
									'counters' => 'views,comments,likes',
									'seo' => true
									), 'header', 1)
								);
							?></div><?php
						}
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$run_gran_blog_title = run_gran_get_blog_title();
							$run_gran_blog_title_text = $run_gran_blog_title_class = $run_gran_blog_title_link = $run_gran_blog_title_link_text = '';
							if (is_array($run_gran_blog_title)) {
								$run_gran_blog_title_text = $run_gran_blog_title['text'];
								$run_gran_blog_title_class = !empty($run_gran_blog_title['class']) ? ' '.$run_gran_blog_title['class'] : '';
								$run_gran_blog_title_link = !empty($run_gran_blog_title['link']) ? $run_gran_blog_title['link'] : '';
								$run_gran_blog_title_link_text = !empty($run_gran_blog_title['link_text']) ? $run_gran_blog_title['link_text'] : '';
							} else
								$run_gran_blog_title_text = $run_gran_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($run_gran_blog_title_class); ?>"><?php
								$run_gran_top_icon = run_gran_get_category_icon();
								if (!empty($run_gran_top_icon)) {
									$run_gran_attr = run_gran_getimagesize($run_gran_top_icon);
									?><img src="<?php echo esc_url($run_gran_top_icon); ?>" alt="" <?php if (!empty($run_gran_attr[3])) run_gran_show_layout($run_gran_attr[3]);?>><?php
								}
								echo wp_kses_data($run_gran_blog_title_text);
							?></h1>
							<?php
							if (!empty($run_gran_blog_title_link) && !empty($run_gran_blog_title_link_text)) {
								?><a href="<?php echo esc_url($run_gran_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($run_gran_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'run_gran_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>