<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0.14
 */
$run_gran_header_video = run_gran_get_header_video();
$run_gran_embed_video = '';
if (!empty($run_gran_header_video) && !run_gran_is_from_uploads($run_gran_header_video)) {
	if (run_gran_is_youtube_url($run_gran_header_video) && preg_match('/[=\/]([^=\/]*)$/', $run_gran_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$run_gran_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($run_gran_header_video) . '[/embed]' ));
			$run_gran_embed_video = run_gran_make_video_autoplay($run_gran_embed_video);
		} else {
			$run_gran_header_video = str_replace('/watch?v=', '/embed/', $run_gran_header_video);
			$run_gran_header_video = run_gran_add_to_url($run_gran_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$run_gran_embed_video = '<iframe src="' . esc_url($run_gran_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php run_gran_show_layout($run_gran_embed_video); ?></div><?php
	}
}
?>