<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */

// Header sidebar
$run_gran_header_name = run_gran_get_theme_option('header_widgets');
$run_gran_header_present = !run_gran_is_off($run_gran_header_name) && is_active_sidebar($run_gran_header_name);
if ($run_gran_header_present) { 
	run_gran_storage_set('current_sidebar', 'header');
	$run_gran_header_wide = run_gran_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($run_gran_header_name) ) {
		dynamic_sidebar($run_gran_header_name);
	}
	$run_gran_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($run_gran_widgets_output)) {
		$run_gran_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $run_gran_widgets_output);
		$run_gran_need_columns = strpos($run_gran_widgets_output, 'columns_wrap')===false;
		if ($run_gran_need_columns) {
			$run_gran_columns = max(0, (int) run_gran_get_theme_option('header_columns'));
			if ($run_gran_columns == 0) $run_gran_columns = min(6, max(1, substr_count($run_gran_widgets_output, '<aside ')));
			if ($run_gran_columns > 1)
				$run_gran_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($run_gran_columns).' widget ', $run_gran_widgets_output);
			else
				$run_gran_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($run_gran_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$run_gran_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($run_gran_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'run_gran_action_before_sidebar' );
				run_gran_show_layout($run_gran_widgets_output);
				do_action( 'run_gran_action_after_sidebar' );
				if ($run_gran_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$run_gran_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>