<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */

$run_gran_post_id    = get_the_ID();
$run_gran_post_date  = run_gran_get_date();
$run_gran_post_title = get_the_title();
$run_gran_post_link  = get_permalink();
$run_gran_post_author_id   = get_the_author_meta('ID');
$run_gran_post_author_name = get_the_author_meta('display_name');
$run_gran_post_author_url  = get_author_posts_url($run_gran_post_author_id, '');

$run_gran_args = get_query_var('run_gran_args_widgets_posts');
$run_gran_show_date = isset($run_gran_args['show_date']) ? (int) $run_gran_args['show_date'] : 1;
$run_gran_show_image = isset($run_gran_args['show_image']) ? (int) $run_gran_args['show_image'] : 1;
$run_gran_show_author = isset($run_gran_args['show_author']) ? (int) $run_gran_args['show_author'] : 1;
$run_gran_show_counters = isset($run_gran_args['show_counters']) ? (int) $run_gran_args['show_counters'] : 1;
$run_gran_show_categories = isset($run_gran_args['show_categories']) ? (int) $run_gran_args['show_categories'] : 1;

$run_gran_output = run_gran_storage_get('run_gran_output_widgets_posts');

$run_gran_post_counters_output = '';
if ( $run_gran_show_counters ) {
	$run_gran_post_counters_output = '<span class="post_info_item post_info_counters">'
								. run_gran_get_post_counters('comments')
							. '</span>';
}


$run_gran_output .= '<article class="post_item with_thumb">';

if ($run_gran_show_image) {
	$run_gran_post_thumb = get_the_post_thumbnail($run_gran_post_id, run_gran_get_thumb_size('tiny'), array(
		'alt' => get_the_title()
	));
	if ($run_gran_post_thumb) $run_gran_output .= '<div class="post_thumb">' . ($run_gran_post_link ? '<a href="' . esc_url($run_gran_post_link) . '">' : '') . ($run_gran_post_thumb) . ($run_gran_post_link ? '</a>' : '') . '</div>';
}

$run_gran_output .= '<div class="post_content">'
			. ($run_gran_show_categories 
					? '<div class="post_categories">'
						. run_gran_get_post_categories()
						. $run_gran_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($run_gran_post_link ? '<a href="' . esc_url($run_gran_post_link) . '">' : '') . ($run_gran_post_title) . ($run_gran_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('run_gran_filter_get_post_info', 
								'<div class="post_info">'
									. ($run_gran_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($run_gran_post_link ? '<a href="' . esc_url($run_gran_post_link) . '" class="post_info_date">' : '') 
											. esc_html($run_gran_post_date) 
											. ($run_gran_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($run_gran_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'run-gran') . ' ' 
											. ($run_gran_post_link ? '<a href="' . esc_url($run_gran_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($run_gran_post_author_name) 
											. ($run_gran_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$run_gran_show_categories && $run_gran_post_counters_output
										? $run_gran_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
run_gran_storage_set('run_gran_output_widgets_posts', $run_gran_output);
?>